## org.gnu.gtk.event
Class DragOriginAdapter

    java.lang.Object
      org.gnu.gtk.event.DragOriginAdapter

All Implemented Interfaces:
  DragOriginListener

public class DragOriginAdapter
extends java.lang.Object
implements DragOriginListener

Constructor Summary
`DragOriginAdapter()`

Method Summary
`void` `dataDeleted(DeleteDragDataEvent event)`
`void` `dataRequested(RequestDragDataEvent event)`
`void` `dragEnded(EndDragEvent event)`
`void` `dragStarted(StartDragEvent event)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DragOriginAdapter

    public DragOriginAdapter()

Method Detail

### dragStarted

    public void dragStarted(StartDragEvent event)

  Specified by:
    `dragStarted` in interface `DragOriginListener`

### dragEnded

    public void dragEnded(EndDragEvent event)

  Specified by:
    `dragEnded` in interface `DragOriginListener`

### dataRequested

    public void dataRequested(RequestDragDataEvent event)

  Specified by:
    `dataRequested` in interface `DragOriginListener`

### dataDeleted

    public void dataDeleted(DeleteDragDataEvent event)

  Specified by:
    `dataDeleted` in interface `DragOriginListener`